Skip to main content

cfb — NCAA additional

3 endpoints on sdv.cfb. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).

espnCfbRankings

CFB — rankings (ESPN site.api.espn.com).

Endpoint URL: GET https://site.api.espn.com/apis/site/v2/sports/football/college-football/rankings

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.cfb.espnCfbRankings({});
// snake_case alias (py/R parity): sdv.cfb.espn_cfb_rankings(...)

espnCfbSeasonRecruits

CFB — season recruits (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/recruits

API paramJSrequireddescription
{season}seasonyespath parameter
limitlimitnoquery parameter (default 100)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.cfb.espnCfbSeasonRecruits({ season: '…' });
// snake_case alias (py/R parity): sdv.cfb.espn_cfb_season_recruits(...)

espnCfbSeasonWeekRankings

CFB — season week rankings (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/weeks/{week}/rankings

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{week}weekyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.cfb.espnCfbSeasonWeekRankings({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.cfb.espn_cfb_season_week_rankings(...)